use crate::config;
use crate::modrinth::project::get_project_versions;
use crate::modrinth::search::search;
use inquire::{Select, Text};

pub async fn add() {
    let config = config::Config::get().unwrap();

    let query = Text::new("Search").prompt().unwrap();

    let response = search(&query, &config.game_version, &config.loader)
        .await
        .unwrap();

    let project = Select::new("Select a mod", response.hits).prompt().unwrap();

    let project_versions = get_project_versions(&project.project_id, &config.game_version)
        .await
        .unwrap();

    let project_version = project_versions.get(0).unwrap();

    config::Config::add(project.project_id, project_version.id.to_owned()).unwrap();
}
