use crate::config;
use crate::modrinth::tags;
use inquire::Select;

pub async fn init(snaphots: bool) {
    let mut game_versions = tags::get_minecraft_versions().await.unwrap();

    if snaphots {
        game_versions = game_versions
            .into_iter()
            .filter(|v| (&v.version_type == "snapshot" || &v.version_type == "release"))
            .collect()
    } else {
        game_versions = game_versions
            .into_iter()
            .filter(|v| &v.version_type == "release")
            .collect()
    }

    let options = game_versions.iter().map(|v| &v.version).collect();

    let game_version = Select::new("Select a Minecraft version", options)
        .prompt()
        .unwrap();

    let options = vec!["fabric", "quilt", "forge", "neoforge"];

    let loader = Select::new("Select a mod loader", options)
        .prompt()
        .unwrap();

    config::Config::init(game_version.to_string(), loader.to_string()).unwrap();
}
