mod cli;
mod commands;
mod config;
mod modrinth;

use clap::Parser;

#[tokio::main]
async fn main() {
    let args = cli::Cli::parse();

    match &args.command {
        cli::Commands::Init => {
            commands::init::init(false).await;
        }
        cli::Commands::Add => {
            commands::add::add().await;
        }
        cli::Commands::Remove => {
            // config::Config::remove().await;
        }
        cli::Commands::List => {
            commands::list::list().await;
        }
        _ => (),
    };
}
